{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":550,"path":"api-reference/rest-apis/servicecontract-api.md","title":"Service Contract API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Service Contract API\n\nThe Service Contract API provides endpoints to create and retrieve service contract records.\n\n**Note:** This API is for creating data in the tables for the Customer Contracts and Entitlements application. It is not a general purpose API.\n\nTo access this API the following plugins must be activated on the associated instance:\n\n-   Customer Contracts and Entitlements \\(com.sn\\_pss\\_core\\)\n-   Customer Service Install Base Management \\(com.snc.install\\)\n-   Product Catalog Management Core \\(com.sn\\_prd\\)\n\nIn addition, to successfully call this API you must have the sn\\_pss\\_core.pss\\_integrator role. This API runs in the `sn_pss_core` namespace.\n\nBefore using this API, you should have associated data in the following tables. For additional information, see [Create service contracts](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/customer-service-management/create-csm-service-contracts.md).\n\n-   Account \\[customer\\_account\\]\n-   Consumer \\[csm\\_consumer\\]\n-   Household \\[csm\\_household\\]\n-   Install Base \\[sn\\_install\\_base\\_item\\]\n-   Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n-   Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n-   Product Model \\[cmdb\\_model\\]\n-   Sold Product \\[sn\\_install\\_base\\_sold\\_product\\]\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## Service Contract - GET /sn\\_pss\\_core/servicecontract/\\{id\\}\n\nRetrieves a specified service contract record.\n\nThis endpoint retrieves data from the following tables when processing the request:\n\n-   Characteristic \\[sn\\_pss\\_core\\_entitlement\\_characteristic\\]\n-   Entitlement \\[service\\_entitlement\\]\n-   Entitlement Usage \\[sn\\_pss\\_core\\_entitlement\\_usage\\]\n-   Sold Product Covered \\[sn\\_install\\_base\\_m2m\\_contract\\_sold\\_product\\] - This table contains information for both sold products covered and install base items covered.\n-   Service Contract \\[sn\\_pss\\_core\\_service\\_contract\\]\n-   Service Contract Line \\[sn\\_pss\\_core\\_service\\_contract\\_line\\]\n\n### URL format\n\nVersioned URL: `/api/sn_pss_core/{api_version}/servicecontract/{id}`\n\nDefault URL: `/api/sn_pss_core/servicecontract/{id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the service contract to retrieve.Data type: String\n\nTable: Service Contract \\[sn\\_pss\\_core\\_service\\_contract\\]\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ndisplay\\_value\n\n</td><td>\n\nType of data to return.Valid values:\n\n-   false: Return the `value` for all fields. For example, `\"state\":\"draft\"`.\n-   true: Return the `display_value` for all fields. For example, `\"state\":\"Draft\"`\n-   all: Return all information for all fields.\n\nData type: String\n\nDefault: false\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|403|Forbidden. The user doesn't have permission to access the API.|\n|404|Not found. The requested item wasn't found.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\naccount\n\n</td><td>\n\nSys\\_id of the account record to which the service contract belongs.\n\nData type: String\n\nTable: Account \\[customer\\_account\\]\n\n</td></tr><tr><td>\n\nconsumer\n\n</td><td>\n\nSys\\_id of the consumer record to which the service contract belongs.\n\nData type: String\n\nTable: Consumer \\[csm\\_consumer\\]\n\n</td></tr><tr><td>\n\nends\n\n</td><td>\n\nDate on which the service contract ends.\n\nData type: String\n\nFormat: yyyy-mm-dd\n\n</td></tr><tr><td>\n\nhousehold\n\n</td><td>\n\nSys\\_id of the household associated with the service contract.\n\nData type: String\n\nTable: Household \\[csm\\_household\\]\n\n</td></tr><tr><td>\n\ninstall\\_base\\_items\\_covered\n\n</td><td>\n\nList of install base items covered under the service contract line.Data type: Array of Objects\n\n```\n\"install_base_items_covered\": [ \n  {\n    \"added\": \"String\",\n    \"contract\": \"String\",\n    \"entitlement\": \"String\",\n    \"install_base\": \"String\",\n    \"removed\": \"String\",\n    \"service_contract_line\": \"String\",\n    \"sys_created_by\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_updated_by\": \"String\",\n    \"sys_updated_on\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\ninstall\\_base\\_items\\_covered.​added\n\n</td><td>\n\nDate that the associated service contract starts to cover the install base item.\n\nData type: String\n\nFormat: yyyy-mm-dd\n\n</td></tr><tr><td>\n\ninstall\\_base\\_items\\_covered.​contract\n\n</td><td>\n\nSys\\_id of the service contract record associated with the install base item.Data type: String\n\nTable: Service Contract \\[sn\\_pss\\_core\\_service\\_contract\\]\n\n</td></tr><tr><td>\n\ninstall\\_base\\_items\\_covered.​entitlement\n\n</td><td>\n\nSys\\_id of the entitlement record associated with the install base item.Data type: String\n\nTable: Entitlement \\[service\\_entitlement\\]\n\n</td></tr><tr><td>\n\ninstall\\_base\\_items\\_covered.​install\\_base\n\n</td><td>\n\nSys\\_id of the associated install base item record.Data type: String\n\nTable: Install Base Item \\[sn\\_install\\_base\\_item\\]\n\n</td></tr><tr><td>\n\ninstall\\_base\\_items\\_covered.​removed\n\n</td><td>\n\nDate that the associated service contract ends coverage of the install base item.\n\nData type: String\n\nFormat: yyyy-mm-dd\n\n</td></tr><tr><td>\n\ninstall\\_base\\_items\\_covered.​service\\_contract\\_line\n\n</td><td>\n\nSys\\_id of the associated service contract line record.Data type: String\n\nTable: Service Contract Line \\[sn\\_pss\\_core\\_service\\_contract\\_line\\]\n\n</td></tr><tr><td>\n\ninstall\\_base\\_items\\_covered.​sys\\_created\\_by\n\n</td><td>\n\nName of the user that created the install base item record.Data type: String\n\n</td></tr><tr><td>\n\ninstall\\_base\\_items\\_covered.​sys\\_created\\_on\n\n</td><td>\n\nDate and time that the install base item record was created.Data type: String\n\n</td></tr><tr><td>\n\ninstall\\_base\\_items\\_covered.​sys\\_id\n\n</td><td>\n\nSys\\_id of the install base item covered.Data type: String\n\nTable: Sold Product Covered \\[sn\\_install\\_base\\_m2m\\_contract\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\ninstall\\_base\\_items\\_covered.​sys\\_updated\\_by\n\n</td><td>\n\nName of the user that last updated the install base item record.Data type: String\n\n</td></tr><tr><td>\n\ninstall\\_base\\_items\\_covered.​sys\\_updated\\_on\n\n</td><td>\n\nDate and time that the install base item record was last updated.Data type: String\n\n</td></tr><tr><td>\n\nnumber\n\n</td><td>\n\nAuto-generated service contract number.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines\n\n</td><td>\n\nList of service contract lines \\(services\\) associated with the service contract. Data type: Array of Objects\n\n```\n\"service_contract_lines\": [\n  {\n    \"child_contract_lines\": [Array],\n    \"contract\": \"String\",\n    \"ends\": \"String\",\n    \"entitlements\": [Array],\n    \"entitlement_characteristics\": [Array],\n    \"install_base_items_covered\": [Array],\n    \"name\": \"String\",\n    \"number\": \"String\",\n    \"parent_contract_line\": \"String\",\n    \"product_model\": \"String\",\n    \"product_offering\": \"String\",\n    \"product_specification\": \"String\",\n    \"sold_product\": \"String\",\n    \"sold_products_covered\": [Array],\n    \"starts\": \"String\",\n    \"state\": \"String\",\n    \"sys_created_by\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_updated_by\": \"String\",\n    \"sys_update_on\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines\n\n</td><td>\n\nList of child service contract lines associated with the service contract line.Data type: Array of Objects\n\n```\n\"child_contract_lines\": [\n  {\n    \"child_contract_lines\": [Array],\n    \"contract\": \"String\",\n    \"ends\": \"String\",\n    \"entitlements\": [Array],\n    \"entitlement_characteristics\": [Array],\n    \"install_base_items_covered\": [Array],\n    \"name\": \"String\",\n    \"number\": \"String\",\n    \"parent_contract_line\": \"String\",\n    \"product_model\": \"String\",\n    \"product_offering\": \"String\",\n    \"product_specification\": \"String\",\n    \"sold_product\": \"String\",\n    \"sold_products_covered\": [Array],\n    \"starts\": \"String\",\n    \"state\": \"String\",\n    \"sys_created_by\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_updated_by\": \"String\",\n    \"sys_update_on\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​child\\_contract\\_lines\n\n</td><td>\n\nList of child service contract lines associated with the child service contract line. Same parameters as in **child\\_contract\\_lines**.Data type: Array\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​contract\n\n</td><td>\n\nSys\\_id of the service contract associated with the child service contract line.Data type: String\n\nTable: Service Contract \\[sn\\_pss\\_core\\_service\\_contract\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​ends\n\n</td><td>\n\nDate on which the child service contract line ends.Data type: String\n\nFormat: yyyy-mm-dd\n\nDefault: Never ends until manually removed.\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements\n\n</td><td>\n\nList of entitlements associated with the child service contract line.Data type: Array of Objects\n\n```\n\"entitlements\": [\n  {\n    \"account\": \"String\",\n    \"consumer\": \"String\",\n    \"contract\": \"String\",\n    \"end_date\": \"String\",\n    \"entitlement_characteristics\": [Array],\n    \"entitlement_name\": \"String\",\n    \"household\": \"String\",\n    \"install_base_items_covered\": [Array],\n    \"product\": \"String\",\n    \"product_offering\": \"String\",\n    \"product_specification\": \"String\",\n    \"service_contract_line\": \"String\",\n    \"sold_entitlement\": \"String\",\n    \"sold_products_covered\": [Array],\n    \"start_date\": \"String\",\n    \"state\": \"String\",\n    \"sys_created_by\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_updated_by\": \"String\",\n    \"sys_updated_on\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​account\n\n</td><td>\n\nSys\\_id of the account record to which the entitlement belongs.\n\nData type: String\n\nTable: Account \\[customer\\_account\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​consumer\n\n</td><td>\n\nSys\\_id of the consumer record to which the entitlement belongs.\n\nData type: String\n\nTable: Consumer \\[csm\\_consumer\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​contract\n\n</td><td>\n\nSys\\_id of the contract record to which the entitlement belongs.Data type: String\n\nTable: Service Contract \\[sn\\_pss\\_core\\_service\\_contract\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​end\\_date\n\n</td><td>\n\nEnd date of the entitlement.Data type: String\n\nFormat: yyyy-mm-dd\n\nDefault: Never ends until manually removed.\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics\n\n</td><td>\n\nList of characteristics associated with the entitlement. Data type: Array of Objects\n\n```\n\"entitlement_characteristics\": [\n  {\n    \"characteristic\": \"String\",\n    \"characteristic_option\": \"String\",\n    \"entitlement\": \"String\",\n    \"service_contract_line\": \"String\",\n    \"sys_created_by\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_updated_by\": \"String\",\n    \"sys_updated_on\": \"String\",\n    \"type\": \"String\",\n    \"value\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​characteristic\n\n</td><td>\n\nSys\\_id of the characteristic record associated with the entitlement.\n\nData type: String\n\nTable: Characteristic \\[sn\\_prd\\_pm\\_characteristic\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​characteristic\\_option\n\n</td><td>\n\nSys\\_id of the characteristic option record associated with the entitlement.Data type: String\n\nTable: Characteristic Option \\[sn\\_prd\\_pm\\_characteristic\\_option\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\n\n</td><td>\n\nSys\\_id of the entitlement record.Data type: String\n\nTable: Entitlement \\[service\\_entitlement\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage\n\n</td><td>\n\nList of usage values for the associated product.Data type: Array of Objects\n\n```\n\"entitlement_usage\": [\n  {\n    \"entitlement\": \"String\",\n    \"entitlement_characteristic\": \"String\",\n    \"period_end\": \"String\",\n    \"period_start\": \"String\",\n    \"service_contract_line\": \"String\",\n    \"sys_created_by\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_updated_by\": \"String\",\n    \"sys_update_on\": \"String\",\n    \"total_units\": \"String\",\n    \"used_units\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​entitlement\n\n</td><td>\n\nSys\\_id of the entitlement record associated with the entitlement usage.Data type: String\n\nTable: Entitlement \\[service\\_entitlement\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​entitlement\\_characteristic\n\n</td><td>\n\nSys\\_id of the entitlement characteristic record associated with the entitlement usage.Data type: String\n\nTable: Characteristic \\[sn\\_pss\\_core\\_entitlement\\_characteristic\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​period\\_end\n\n</td><td>\n\nEnd date when the entitlement usage is no longer tracked.Data type: String\n\nFormat: yyyy-mm-dd\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​period\\_start\n\n</td><td>\n\nStarting date of when the entitlement usage is tracked.Data type: String\n\nFormat: yyyy-mm-dd\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​service\\_contract\\_line\n\n</td><td>\n\nSys\\_id of the service contract line to which the current entitlement usage belongs.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​sys\\_created\\_by\n\n</td><td>\n\nName of the user that created the entitlement usage record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​sys\\_created\\_on\n\n</td><td>\n\nDate and time that the entitlement usage record was created.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​sys\\_id\n\n</td><td>\n\nSys\\_id of the entitlement usage record.Data type: String\n\nTable: Entitlement Usage \\[sn\\_pss\\_core\\_entitlement\\_usage\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​sys\\_updated\\_by\n\n</td><td>\n\nName of the user that last updated the entitlement usage record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​sys\\_updated\\_on\n\n</td><td>\n\nDate and time that the entitlement usage record was last updated.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​total\\_units\n\n</td><td>\n\nTotal coverage value of the associated entitlement characteristic.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​used\\_units\n\n</td><td>\n\nNumber of units used by the account or consumer between the **period\\_start** and the **period\\_end**.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​service\\_contract\\_line\n\n</td><td>\n\nChild contract line to which the current entitlement characteristic belongs to. Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​sys\\_created\\_by\n\n</td><td>\n\nName of the user who created the entitlement characteristic.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​sys\\_created\\_on\n\n</td><td>\n\nDate and time when the entitlement characteristic was created.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​sys\\_id\n\n</td><td>\n\nSys\\_id of the entitlement characteristic record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​sys\\_updated\\_by\n\n</td><td>\n\nName of the user who last updated the entitlement characteristic.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​sys\\_updated\\_on\n\n</td><td>\n\nDate and time when the entitlement characteristic was last updated.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​type\n\n</td><td>\n\nType of entitlement characteristic. Valid values:\n\n-   coverage\n-   coverage\\_and\\_usage\n\nData type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​value\n\n</td><td>\n\nValue of the characteristic.\n\nData type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​entitlement\\_name\n\n</td><td>\n\nName of the entitlement.\n\nData type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​household\n\n</td><td>\n\nSys\\_id of the household record associated with the entitlement.\n\nData type: String\n\nTable: Household \\[csm\\_household\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered\n\n</td><td>\n\nList of install base items covered under the  child service contract line.Data type: Array of Objects\n\n```\n \"install_base_items_covered\": [ \n  {\n    \"added\": \"String\",\n    \"contract\": \"String\",\n    \"entitlement\": \"String\",\n    \"install_base\": \"String\",\n    \"removed\": \"String\",\n    \"service_contract_line\": \"String\",\n    \"sys_created_by\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_updated_by\": \"String\",\n    \"sys_updated_on\": \"String\"\n  }\n]\n```\n\nTable: Sold Product Covered  \\[sn\\_install\\_base\\_m2m\\_contract\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered.​added\n\n</td><td>\n\nDate that the associated install base item was added to the service contract line.\n\nData type: String\n\n Format: yyyy-mm-dd\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered.​contract\n\n</td><td>\n\nSys\\_id of the service contract record associated with the install base item.Data type: String\n\nTable: Service Contract \\[sn\\_pss\\_core\\_service\\_contract\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered.​entitlement\n\n</td><td>\n\nSys\\_id of the entitlement record associated with the install base item.Data type: String\n\nTable: Service Contract \\[sn\\_pss\\_core\\_service\\_contract\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered.​install\\_base\n\n</td><td>\n\nSys\\_id of the associated install base item record.Data type: String\n\nTable: Install Base Item \\[sn\\_install\\_base\\_item\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered.​removed\n\n</td><td>\n\nDate that the associated service contract line ends coverage of the install base item.\n\nData type: String\n\n Format: yyyy-mm-dd\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered.​service\\_contract\\_line\n\n</td><td>\n\nSys\\_id of the associated service contract line record.Data type: String\n\nTable: Service Contract Line \\[sn\\_pss\\_core\\_service\\_contract\\_line\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered.​sys\\_created\\_by\n\n</td><td>\n\nName of the user that created the install base item record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered.​sys\\_created\\_on\n\n</td><td>\n\nDate and time that the install base item record was created.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered.​sys\\_id\n\n</td><td>\n\nSys\\_id of the install base item covered.Data type: String\n\nTable: Sold Product Covered \\[sn\\_install\\_base\\_m2m\\_contract\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered.​sys\\_updated\\_by\n\n</td><td>\n\nName of the user that last updated the install base item record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered.​sys\\_updated\\_on\n\n</td><td>\n\nDate and time that the install base item record was last updated.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​product\n\n</td><td>\n\nSys\\_id of the product model record associated with the entitlement.Data type: String\n\nTable: Product Model \\[cmdb\\_model\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​product\\_offering\n\n</td><td>\n\nSys\\_id of the product offering record associated with the entitlement.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​product\\_specification\n\n</td><td>\n\nSys\\_id of the product specification record associated with the entitlement.Data type: String\n\nTable: Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​service\\_contract\\_line\n\n</td><td>\n\nSys\\_id of the service contract line record associated with the entitlement.Data type: String\n\nTable: Service Contract Line \\[sn\\_pss\\_core\\_service\\_contract\\_line\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​sold\\_entitlement\n\n</td><td>\n\nSys\\_id of the sold product record associated with the entitlement.Data type: String\n\nTable: Sold Product \\[sn\\_install\\_base\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​sold\\_products\\_covered\n\n</td><td>\n\nList of products covered.Data type: Array of Objects\n\n```\n\"sold_products_covered\": [ \n  {\n    \"added\": \"String\",\n    \"contract\": \"String\",\n    \"entitlement\": \"String\",\n    \"removed\": \"String\",\n    \"service_contract_line\": \"String\",\n    \"sold_product\": \"String\",\n    \"sys_created_by\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_updated_by\": \"String\",\n    \"sys_updated_on\": \"String\"\n  }\n]\n```\n\nTable: Sold Product Covered \\[sn\\_install\\_base\\_m2m\\_contract\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​sold\\_products\\_covered.​added\n\n</td><td>\n\nDate that the associated service contract starts to cover the product.\n\nData type: String\n\n Format: yyyy-mm-dd\n\n Default: Current date\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​sold\\_products\\_covered.​contract\n\n</td><td>\n\nSys\\_id of the service contract record associated with the sold product covered.Data type: String\n\nTable: Service Contract \\[sn\\_pss\\_core\\_service\\_contract\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​sold\\_products\\_covered.​entitlement\n\n</td><td>\n\nSys\\_id of the entitlement record associated with the sold product covered.Data type: String\n\nTable: Entitlement \\[service\\_entitlement\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​sold\\_products\\_covered.​removed\n\n</td><td>\n\nDate that the associated service contract ends coverage of the associated product.\n\nData type: String\n\n Format: yyyy-mm-dd\n\n Default: No end date\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​sold\\_products\\_covered.​service\\_contract\\_line\n\n</td><td>\n\nSys\\_id of the service contract line record associated with the sold product covered.Data type: String\n\nTable: Service Contract Line \\[sn\\_pss\\_core\\_service\\_contract\\_line\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​sold\\_products\\_covered.​sold\\_product\n\n</td><td>\n\nSys\\_id of the product covered by the service contract.Data type: String\n\nTable: Sold Product \\[sn\\_install\\_base\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​sold\\_products\\_covered.​sys\\_created\\_by\n\n</td><td>\n\nName of the user that created the sold product covered record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​sold\\_products\\_covered.​sys\\_created\\_on\n\n</td><td>\n\nDate and time that the sold product covered record was created.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​sold\\_products\\_covered.​sys\\_id\n\n</td><td>\n\nSys\\_id of the product covered by this service contract.Data type: String\n\nTable: Sold Product Covered \\[sn\\_install\\_base\\_m2m\\_contract\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​sold\\_products\\_covered.​sys\\_updated\\_by\n\n</td><td>\n\nName of the user that last updated the sold product covered record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​sold\\_products\\_covered.​sys\\_updated\\_on\n\n</td><td>\n\nName of the user that last updated the sold product covered record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​start\\_date\n\n</td><td>\n\nStart date of the entitlement.\n\nData type: String\n\nFormat: yyyy-mm-dd\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​state\n\n</td><td>\n\nCurrent state of the entitlement.\n\nValid values: \\(case-sensitive\\)\n\n-   active\n-   cancelled\n-   draft\n-   expired\n-   suspended\n\nData type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​sys\\_created\\_by\n\n</td><td>\n\nName of the user that created the entitlement record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​sys\\_created\\_on\n\n</td><td>\n\nDate and time that the entitlement record was created.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​sys\\_id\n\n</td><td>\n\nSys\\_id of the associated entitlement record.Data type: String\n\nTable: Entitlement \\[service\\_entitlement\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​sys\\_updated\\_by\n\n</td><td>\n\nName of the user that last updated the entitlement record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlements.​sys\\_updated\\_on\n\n</td><td>\n\nDate and time that the entitlement record was created.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlement\\_characteristics\n\n</td><td>\n\nList of characteristics associated with the entitlement.Data type: Array of Objects\n\n```\n\"entitlement_characteristics\": [\n  {\n    \"characteristic\": \"String\",\n    \"characteristic_option\": \"String\",\n    \"entitlement\": \"String\",\n    \"entitlement_usage\": [Array],\n    \"service_contract_line\": \"String\",\n    \"sys_created_by\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_updated_by\": \"String\",\n    \"sys_updated_on\": \"String\"\n    \"type\": \"String\",\n    \"value\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlement\\_characteristics.​characteristic\n\n</td><td>\n\nSys\\_id of the characteristic record associated with the entitlement.\n\nData type: String\n\nTable: Characteristic \\[sn\\_prd\\_pm\\_characteristic\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlement\\_characteristics.​characteristic\\_option\n\n</td><td>\n\nSys\\_id of the characteristic option record associated with the entitlement.Data type: String\n\nTable: Characteristic Option \\[sn\\_prd\\_pm\\_characteristic\\_option\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlement\\_characteristics.​entitlement\n\n</td><td>\n\nSys\\_id of the entitlement record.Data type: String\n\nTable: Entitlement \\[service\\_entitlement\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlement\\_characteristics.​service\\_contract\\_line\n\n</td><td>\n\nSys\\_id of the service contract line record associated with the entitlement characteristic.Data type: String\n\nTable: Service Contract Line \\[sn\\_pss\\_core\\_service\\_contract\\_line\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlement\\_characteristics.​sys\\_created\\_by\n\n</td><td>\n\nName of the user that created the entitlement characteristics record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlement\\_characteristics.​sys\\_created\\_on\n\n</td><td>\n\nDate and time that the entitlement characteristics record was created.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlement\\_characteristics.​sys\\_id\n\n</td><td>\n\nSys\\_id of the entitlement characteristics record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlement\\_characteristics.​sys\\_updated\\_by\n\n</td><td>\n\nName of the user that last updated the entitlement characteristics record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlement\\_characteristics.​sys\\_updated\\_on\n\n</td><td>\n\nDate and time that the entitlement characteristics record was last updated.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlement\\_characteristics.​type\n\n</td><td>\n\nType of entitlement characteristic. Valid values:\n\n-   coverage\n-   coverage\\_and\\_usage\n\nData type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​entitlement\\_characteristics.​value\n\n</td><td>\n\nValue of the characteristic.\n\nData type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​install\\_base\\_items\\_covered\n\n</td><td>\n\nList of install base items covered under the  child service contract line.Data type: Array of Objects\n\n```\n \"install_base_items_covered\": [ \n  {\n    \"added\": \"String\",\n    \"contract\": \"String\",\n    \"entitlement\": \"String\",\n    \"install_base\": \"String\",\n    \"removed\": \"String\",\n    \"service_contract_line\": \"String\",\n    \"sys_created_by\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_updated_by\": \"String\",\n    \"sys_updated_on\": \"String\"\n  }\n]\n```\n\nTable: Sold Product Covered  \\[sn\\_install\\_base\\_m2m\\_contract\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​install\\_base\\_items\\_covered.​added\n\n</td><td>\n\nDate that the associated install base item was added to the service contract line.\n\nData type: String\n\n Format: yyyy-mm-dd\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​install\\_base\\_items\\_covered.​contract\n\n</td><td>\n\nSys\\_id of the service contract record associated with the install base item.Data type: String\n\nTable: Service Contract \\[sn\\_pss\\_core\\_service\\_contract\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​install\\_base\\_items\\_covered.​entitlement\n\n</td><td>\n\nSys\\_id of the entitlement record associated with the install base item.Data type: String\n\nTable: Service Contract \\[sn\\_pss\\_core\\_service\\_contract\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​install\\_base\\_items\\_covered.​install\\_base\n\n</td><td>\n\nSys\\_id of the associated install base item record.Data type: String\n\nTable: Install Base Item \\[sn\\_install\\_base\\_item\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​install\\_base\\_items\\_covered.​removed\n\n</td><td>\n\nDate that the associated service contract line ends coverage of the install base item.\n\nData type: String\n\n Format: yyyy-mm-dd\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​install\\_base\\_items\\_covered.​service\\_contract\\_line\n\n</td><td>\n\nSys\\_id of the associated service contract line record.Data type: String\n\nTable: Service Contract Line \\[sn\\_pss\\_core\\_service\\_contract\\_line\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​install\\_base\\_items\\_covered.​sys\\_created\\_by\n\n</td><td>\n\nName of the user that created the install base item record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​install\\_base\\_items\\_covered.​sys\\_created\\_on\n\n</td><td>\n\nDate and time that the install base item record was created.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​install\\_base\\_items\\_covered.​sys\\_id\n\n</td><td>\n\nSys\\_id of the install base item covered.Data type: String\n\nTable: Sold Product Covered \\[sn\\_install\\_base\\_m2m\\_contract\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​install\\_base\\_items\\_covered.​sys\\_updated\\_by\n\n</td><td>\n\nName of the user that last updated the install base item record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​install\\_base\\_items\\_covered.​sys\\_updated\\_on\n\n</td><td>\n\nDate and time that the install base item record was last updated.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​name\n\n</td><td>\n\nName of the child service contract line.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​parent\\_contract\\_line\n\n</td><td>\n\nSys\\_id of the parent contract line record associated with the child service contract line.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​product\\_model\n\n</td><td>\n\nSys\\_id of the product associated with the child service contract line.Data type: String\n\nTable: Product Model \\[cmdb\\_model\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​product\\_offering\n\n</td><td>\n\nSys\\_id of the product offering record associated with the child service contract line.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​sold\\_product\n\n</td><td>\n\nSys\\_id of the sold product record associated with the child service contract line.Data type: String\n\nTable: Sold Product \\[sn\\_install\\_base\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​sold\\_products\\_covered\n\n</td><td>\n\nList of products covered.Data type: Array of Objects\n\n```\n\"sold_products_covered\": [ \n  {\n    \"added\": \"String\",\n    \"contract\": \"String\",\n    \"entitlement\": \"String\",\n    \"removed\": \"String\",\n    \"service_contract_line\": \"String\",\n    \"sold_product\": \"String\",\n    \"sys_created_by\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_updated_by\": \"String\",\n    \"sys_updated_on\": \"String\"\n  }\n]\n```\n\nTable: Sold Product Covered \\[sn\\_install\\_base\\_m2m\\_contract\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​sold\\_products\\_covered.​added\n\n</td><td>\n\nDate that the associated service contract starts to cover the product.\n\nData type: String\n\n Format: yyyy-mm-dd\n\n Default: Current date\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​sold\\_products\\_covered.​contract\n\n</td><td>\n\nSys\\_id of the service contract record associated with the sold product covered.Data type: String\n\nTable: Service Contract \\[sn\\_pss\\_core\\_service\\_contract\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​sold\\_products\\_covered.​entitlement\n\n</td><td>\n\nSys\\_id of the entitlement record associated with the sold product covered.Data type: String\n\nTable: Entitlement \\[service\\_entitlement\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​sold\\_products\\_covered.​removed\n\n</td><td>\n\nDate that the associated service contract ends coverage of the associated product.\n\nData type: String\n\n Format: yyyy-mm-dd\n\n Default: No end date\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​sold\\_products\\_covered.​service\\_contract\\_line\n\n</td><td>\n\nSys\\_id of the service contract line record associated with the sold product covered.Data type: String\n\nTable: Service Contract Line \\[sn\\_pss\\_core\\_service\\_contract\\_line\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​sold\\_products\\_covered.​sold\\_product\n\n</td><td>\n\nSys\\_id of the product covered by the service contract.Data type: String\n\nTable: Sold Product \\[sn\\_install\\_base\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​sold\\_products\\_covered.​sys\\_created\\_by\n\n</td><td>\n\nName of the user that created the sold product covered record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​sold\\_products\\_covered.​sys\\_created\\_on\n\n</td><td>\n\nDate and time that the sold product covered record was created.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​sold\\_products\\_covered.​sys\\_id\n\n</td><td>\n\nSys\\_id of the product covered by this service contract.Data type: String\n\nTable: Sold Product Covered \\[sn\\_install\\_base\\_m2m\\_contract\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​sold\\_products\\_covered.​sys\\_updated\\_by\n\n</td><td>\n\nName of the user that last updated the sold product covered record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​sold\\_products\\_covered.​sys\\_updated\\_on\n\n</td><td>\n\nName of the user that last updated the sold product covered record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​starts\n\n</td><td>\n\nStart date of the child service contract line.Data type: String\n\nFormat: yyyy-mm-dd\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​sys\\_created\\_by\n\n</td><td>\n\nName of the user that created the child service contract line record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​sys\\_created\\_on\n\n</td><td>\n\nDate and time that the child service contract line record was created.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​sys\\_id\n\n</td><td>\n\nSys\\_id of a child service contract line record.Data type: String\n\nTable: Service Contract Line \\[sn\\_pss\\_core\\_service\\_contract\\_line\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​sys\\_updated\\_by\n\n</td><td>\n\nName of the user that last updated the child service contract line record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​child\\_contract\\_lines.​sys\\_updated\\_on\n\n</td><td>\n\nDate and time that the child service contract line record was last updated.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​contract\n\n</td><td>\n\nSys\\_id of the service contract associated with the service contract line.\n\nData type: String\n\nTable: Service Contract \\[sn\\_pss\\_core\\_service\\_contract\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​ends\n\n</td><td>\n\nDate on which the service contract line ends.Data type: String\n\nFormat: yyyy-mm-dd\n\nDefault: Never ends until manually removed.\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements\n\n</td><td>\n\nList of entitlements associated with the service contract.Data type: Array of Objects\n\n```\n\"entitlements\": [\n  {\n    \"account\": \"String\",\n    \"consumer\": \"String\",\n    \"contract\": \"String\",\n    \"end_date\": \"String\",\n    \"entitlement_characteristics\": [Array],\n    \"entitlement_name\": \"String\",\n    \"household\": \"String\",\n    \"install_base_items_covered\": [Array],\n    \"product\": \"String\",\n    \"product_offering\": \"String\",\n    \"product_specification\": \"String\",\n    \"service_contract_line\": \"String\",\n    \"sold_entitlement\": \"String\",\n    \"sold_products_covered\": [Array],\n    \"start_date\": \"String\",\n    \"state\": \"String\",\n    \"sys_created_by\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_updated_by\": \"String\",\n    \"sys_updated_on\": \"String\"\n  }\n]\n```\n\nTable: Entitlement \\[service\\_entitlement\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​account\n\n</td><td>\n\nSys\\_id of the account record to which the entitlement belongs.\n\nData type: String\n\nTable: Account \\[customer\\_account\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​consumer\n\n</td><td>\n\nSys\\_id of the consumer record to which the entitlement belongs.\n\nData type: String\n\nTable: Consumer \\[csm\\_consumer\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​contract\n\n</td><td>\n\nSys\\_id of the contract record to which the entitlement belongs.Data type: String\n\nTable: Service Contract \\[sn\\_pss\\_core\\_service\\_contract\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​end\\_date\n\n</td><td>\n\nEnd date of the entitlement.Data type: String\n\nFormat: yyyy-mm-dd\n\nDefault: Never ends until manually removed.\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics\n\n</td><td>\n\nList of characteristics associated with the entitlement.Data type: Array of Objects\n\n```\n\"entitlement_characteristics\": [\n  {\n    \"characteristic\": \"String\",\n    \"characteristic_option\": \"String\",\n    \"entitlement\": \"String\",\n    \"entitlement_usage\": [Array]\n    \"service_contract_line\": \"String\",\n    \"sys_created_by\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_updated_by\": \"String\",\n    \"sys_updated_on\": \"String\",\n    \"type\": \"String\",\n    \"value\": \"String\"\n  }\n]\n```\n\nTable: Characteristic \\[sn\\_pss\\_core\\_entitlement\\_characteristic\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.characteristic\n\n</td><td>\n\nSys\\_id of the characteristic record associated with the entitlement.\n\nData type: String\n\nTable: Characteristic \\[sn\\_prd\\_pm\\_characteristic\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.characteristic\\_option\n\n</td><td>\n\nSys\\_id of the characteristic option record associated with the entitlement.Data type: String\n\nTable: Characteristic Option \\[sn\\_prd\\_pm\\_characteristic\\_option\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\n\n</td><td>\n\nSys\\_id of the associated entitlement record.Data type: String\n\nTable: Entitlement \\[service\\_entitlement\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage\n\n</td><td>\n\nList of usage values for the associated product.Data type: Array of Objects\n\n```\n\"entitlement_usage\": [\n  {\n    \"entitlement\": \"String\",\n    \"entitlement_characteristic\": \"String\",\n    \"period_end\": \"String\",\n    \"period_start\": \"String\",\n    \"sys_created_by\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_updated_by\": \"String\",\n    \"sys_update_on\": \"String\",\n    \"total_units\": \"String\",\n    \"used_units\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​entitlement\n\n</td><td>\n\nSys\\_id of the entitlement record associated with the entitlement usage.Data type: String\n\nTable: Entitlement \\[service\\_entitlement\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​entitlement\\_characteristic\n\n</td><td>\n\nSys\\_id of the entitlement characteristic record associated with the entitlement usage.Data type: String\n\nTable: Characteristic \\[sn\\_pss\\_core\\_entitlement\\_characteristic\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​period\\_end\n\n</td><td>\n\nEnd date when the entitlement usage is no longer tracked.Data type: String\n\nFormat: yyyy-mm-dd\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​period\\_start\n\n</td><td>\n\nStarting date of when the entitlement usage is tracked.Data type: String\n\nFormat: yyyy-mm-dd\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​sys\\_created\\_by\n\n</td><td>\n\nName of the user that created the entitlement usage record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​sys\\_created\\_on\n\n</td><td>\n\nDate and time that the entitlement usage record was created.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​sys\\_id\n\n</td><td>\n\nSys\\_id of the entitlement usage record.Data type: String\n\nTable: Entitlement Usage \\[sn\\_pss\\_core\\_entitlement\\_usage\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​sys\\_updated\\_by\n\n</td><td>\n\nName of the user that last updated the entitlement usage record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​sys\\_updated\\_on\n\n</td><td>\n\nDate and time that the entitlement usage record was last updated.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​total\\_units\n\n</td><td>\n\nTotal coverage value of the associated entitlement characteristic.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​entitlement\\_usage.​used\\_units\n\n</td><td>\n\nNumber of units used by the account or consumer between the **period\\_start** and the **period\\_end**.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​service\\_contract\\_line\n\n</td><td>\n\nSys\\_id of the service contract line record associated with the entitlement characteristic.Data type: String\n\nTable: Service Contract Line \\[sn\\_pss\\_core\\_service\\_contract\\_line\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​sys\\_created\\_by\n\n</td><td>\n\nName of the user that created the entitlement characteristics record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​sys\\_created\\_on\n\n</td><td>\n\nDate and time that the entitlement characteristics record was created.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​sys\\_id\n\n</td><td>\n\nSys\\_id of the entitlement characteristics record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​sys\\_updated\\_by\n\n</td><td>\n\nName of the user that last updated the entitlement characteristics record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​sys\\_updated\\_on\n\n</td><td>\n\nDate and time that the entitlement characteristics record was last updated.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.type\n\n</td><td>\n\nType of entitlement characteristic. Valid values:\n\n-   coverage\n-   coverage\\_and\\_usage\n\nData type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_characteristics.​value\n\n</td><td>\n\nValue of the characteristic.\n\nData type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​entitlement\\_name\n\n</td><td>\n\nName of the entitlement.\n\nData type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​household\n\n</td><td>\n\nSys\\_id of the household record associated with the entitlement.\n\nData type: String\n\nTable: Household \\[csm\\_household\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered\n\n</td><td>\n\nList of install base items covered under the service contract line.Data type: Array of Objects\n\n```\n\"install_base_items_covered\": [ \n  {\n    \"added\": \"String\",\n    \"contract\": \"String\",\n    \"entitlement\": \"String\",\n    \"install_base\": \"String\",\n    \"removed\": \"String\",\n    \"service_contract_line\": \"String\",\n    \"sys_created_by\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_updated_by\": \"String\",\n    \"sys_updated_on\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered.​added\n\n</td><td>\n\nDate that the associated install base item was added to the entitlement.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered.​contract\n\n</td><td>\n\nSys\\_id of the service contract record associated with the install base item.Data type: String\n\nTable: Service Contract \\[sn\\_pss\\_core\\_service\\_contract\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered.​entitlement\n\n</td><td>\n\nSys\\_id of the entitlement record associated with the install base item.Data type: String\n\nTable: Entitlement \\[service\\_entitlement\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered.​install\\_base\n\n</td><td>\n\nSys\\_id of the associated install base item record.Data type: String\n\nTable: Install Base Item \\[sn\\_install\\_base\\_item\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered.​removed\n\n</td><td>\n\nDate that the associated install base item was removed from the entitlement.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered.​service\\_contract\\_line\n\n</td><td>\n\nSys\\_id of the associated service contract line record.Data type: String\n\nTable: Service Contract Line \\[sn\\_pss\\_core\\_service\\_contract\\_line\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered.​sys\\_created\\_by\n\n</td><td>\n\nName of the user that created the install base item record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered.​sys\\_created\\_on\n\n</td><td>\n\nDate and time that the install base item record was created.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered.​sys\\_id\n\n</td><td>\n\nSys\\_id of the install base item covered.Data type: String\n\nTable: Sold Product Covered \\[sn\\_install\\_base\\_m2m\\_contract\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered.​sys\\_updated\\_by\n\n</td><td>\n\nName of the user that last updated the install base item record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​install\\_base\\_items\\_covered.​sys\\_updated\\_on\n\n</td><td>\n\nDate and time that the install base item record was last updated.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​product\n\n</td><td>\n\nSys\\_id of the product model record associated with the entitlement.Data type: String\n\nTable: Product Model \\[cmdb\\_model\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​product\\_offering\n\n</td><td>\n\nSys\\_id of the product offering record associated with the entitlement.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​product\\_specification\n\n</td><td>\n\nSys\\_id of the product specification record associated with the entitlement.Data type: String\n\nTable: Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​service\\_contract\\_line\n\n</td><td>\n\nSys\\_id of the service contract line record associated with the entitlement.Data type: String\n\nTable: Service Contract Line \\[sn\\_pss\\_core\\_service\\_contract\\_line\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​sold\\_entitlement\n\n</td><td>\n\nSys\\_id of the sold product record associated with the entitlement.Data type: String\n\nTable: Sold Product \\[sn\\_install\\_base\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​sold\\_products\\_covered\n\n</td><td>\n\nList of products covered.Data type: Array of Objects\n\n```\n\"sold_products_covered\": [ \n  {\n    \"added\": \"String\",\n    \"contract\": \"String\",\n    \"entitlement\": \"String\",\n    \"removed\": \"String\",\n    \"service_contract_line\": \"String\",\n    \"sold_product\": \"String\",\n    \"sys_created_by\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_updated_by\": \"String\",\n    \"sys_updated_on\": \"String\"\n  }\n]\n```\n\nTable: Sold Product Covered \\[sn\\_install\\_base\\_m2m\\_contract\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​sold\\_products\\_covered.​added\n\n</td><td>\n\nDate that the associated sold product was added to the entitlement.Data type: String\n\nFormat: yyyy-mm-dd\n\nDefault: Current date\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​sold\\_products\\_covered.​contract\n\n</td><td>\n\nSys\\_id of the service contract record associated with the sold product covered.Data type: String\n\nTable: Service Contract \\[sn\\_pss\\_core\\_service\\_contract\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​sold\\_products\\_covered.​entitlement\n\n</td><td>\n\nSys\\_id of the entitlement record associated with the sold product covered.Data type: String\n\nTable: Entitlement \\[service\\_entitlement\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​sold\\_products\\_covered.removed\n\n</td><td>\n\nDate that the associated sold product was removed from the entitlement.Data type: String\n\nFormat: yyyy-mm-dd\n\nDefault: No end date\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​sold\\_products\\_covered.​service\\_contract\\_line\n\n</td><td>\n\nSys\\_id of the service contract line record associated with the sold product covered.Data type: String\n\nTable: Service Contract Line \\[sn\\_pss\\_core\\_service\\_contract\\_line\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​sold\\_products\\_covered.​sold\\_product\n\n</td><td>\n\nSys\\_id of the product covered by the entitlement.Data type: String\n\nTable: Sold Product \\[sn\\_install\\_base\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​sold\\_products\\_covered.​sys\\_created\\_by\n\n</td><td>\n\nName of the user that created the sold product covered record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​sold\\_products\\_covered.​sys\\_created\\_on\n\n</td><td>\n\nDate and time that the sold product covered record was created.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​sold\\_products\\_covered.​sys\\_id\n\n</td><td>\n\nSys\\_id of the product covered by this service contract.Data type: String\n\nTable: Sold Product Covered \\[sn\\_install\\_base\\_m2m\\_contract\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​sold\\_products\\_covered.​sys\\_updated\\_by\n\n</td><td>\n\nName of the user that last updated the sold product covered record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​sold\\_products\\_covered.​sys\\_updated\\_on\n\n</td><td>\n\nDate and time that the sold product covered record was last updated.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​start\\_date\n\n</td><td>\n\nStart date of the entitlement.\n\nData type: String\n\nFormat: yyyy-mm-dd\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​state\n\n</td><td>\n\nCurrent state of the entitlement.\n\nValid values: \\(case-sensitive\\)\n\n-   active\n-   cancelled\n-   draft\n-   expired\n-   suspended\n\nData type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​sys\\_created\\_by\n\n</td><td>\n\nName of the user that created the entitlement record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​sys\\_created\\_on\n\n</td><td>\n\nDate and time that the entitlement record was created.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​sys\\_id\n\n</td><td>\n\nSys\\_id of the associated entitlement record.Data type: String\n\nTable: Entitlement \\[service\\_entitlement\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​sys\\_updated\\_by\n\n</td><td>\n\nName of the user that last updated the entitlement record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlements.​sys\\_updated\\_on\n\n</td><td>\n\nDate and time that the entitlement record was created.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics\n\n</td><td>\n\nList of characteristics associated with the service contract line.Data type: Array of Objects\n\n```\n\"entitlement_characteristics\": [\n  {\n    \"characteristic\": \"String\",\n    \"characteristic_option\": \"String\",\n    \"entitlement\": \"String\",\n    \"entitlement_usage\": [Array],\n    \"service_contract_line\": \"String\",\n    \"sys_created_by\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_updated_by\": \"String\",\n    \"sys_updated_on\": \"String\",\n    \"type\": \"String\",\n    \"value\": \"String\"\n  }\n]\n```\n\nTable: Characteristic \\[sn\\_pss\\_core\\_entitlement\\_characteristic\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.characteristic\n\n</td><td>\n\nSys\\_id of the characteristic record associated with the entitlement.\n\nData type: String\n\nTable: Characteristic \\[sn\\_prd\\_pm\\_characteristic\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.characteristic\\_option\n\n</td><td>\n\nSys\\_id of the characteristic option record associated with the entitlement.Data type: String\n\nTable: Characteristic Option \\[sn\\_prd\\_pm\\_characteristic\\_option\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.​entitlement\n\n</td><td>\n\nSys\\_id of the associated entitlement record.Data type: String\n\nTable: Entitlement \\[service\\_entitlement\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.​entitlement\\_usage\n\n</td><td>\n\nList of usage values for the associated product.Data type: Array of Objects\n\n```\n\"entitlement_usage\": [\n  {\n    \"entitlement\": \"String\",\n    \"entitlement_characteristic\": \"String\",\n    \"period_end\": \"String\",\n    \"period_start\": \"String\",\n    \"service_contract_line\": \"String\", \n    \"sys_created_by\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_updated_by\": \"String\",\n    \"sys_update_on\": \"String\",\n    \"total_units\": \"String\",\n    \"used_units\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.​entitlement\\_usage.​entitlement\n\n</td><td>\n\nSys\\_id of the entitlement record associated with the entitlement usage.Data type: String\n\nTable: Entitlement \\[service\\_entitlement\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.​entitlement\\_usage.​entitlement\\_characteristic\n\n</td><td>\n\nSys\\_id of the entitlement characteristic record associated with the entitlement usage.Data type: String\n\nTable: Characteristic \\[sn\\_pss\\_core\\_entitlement\\_characteristic\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.​entitlement\\_usage.​period\\_end\n\n</td><td>\n\nEnd date when the entitlement usage is no longer tracked.Data type: String\n\nFormat: yyyy-mm-dd\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.​entitlement\\_usage.​period\\_start\n\n</td><td>\n\nStarting date of when the entitlement usage is tracked.Data type: String\n\nFormat: yyyy-mm-dd\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.​entitlement\\_usage.​sys\\_created\\_by\n\n</td><td>\n\nName of the user that created the entitlement usage record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.​entitlement\\_usage.​sys\\_created\\_on\n\n</td><td>\n\nDate and time that the entitlement usage record was created.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.​entitlement\\_usage.​sys\\_id\n\n</td><td>\n\nSys\\_id of the entitlement usage record.Data type: String\n\nTable: Entitlement Usage \\[sn\\_pss\\_core\\_entitlement\\_usage\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.​entitlement\\_usage.​sys\\_updated\\_by\n\n</td><td>\n\nName of the user that last updated the entitlement usage record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.​entitlement\\_usage.​sys\\_updated\\_on\n\n</td><td>\n\nDate and time that the entitlement usage record was last updated.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.​entitlement\\_usage.​total\\_units\n\n</td><td>\n\nTotal number of units purchased.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.​entitlement\\_usage.​used\\_units\n\n</td><td>\n\nNumber of units that have been used.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.​service\\_contract\\_line\n\n</td><td>\n\nSys\\_id of the service contract line record associated with the entitlement characteristic.Data type: String\n\nTable: Service Contract Line \\[sn\\_pss\\_core\\_service\\_contract\\_line\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.​sys\\_created\\_by\n\n</td><td>\n\nName of the user that created the entitlement characteristics record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.​sys\\_created\\_on\n\n</td><td>\n\nDate and time that the entitlement characteristics record was created.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.​sys\\_id\n\n</td><td>\n\nSys\\_id of the entitlement characteristics record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.​sys\\_updated\\_by\n\n</td><td>\n\nName of the user that last updated the entitlement characteristics record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.​sys\\_updated\\_on\n\n</td><td>\n\nDate and time that the entitlement characteristics record was last updated.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.type\n\n</td><td>\n\nType of entitlement characteristic. Valid values:\n\n-   coverage\n-   coverage\\_and\\_usage\n\nData type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​entitlement\\_characteristics.value\n\n</td><td>\n\nValue of the characteristic.\n\nData type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​install\\_base\\_items\\_covered\n\n</td><td>\n\nList of install base items covered under the  service contract line.Data type: Array of Objects\n\n```\n \"install_base_items_covered\": [ \n  {\n    \"added\": \"String\",\n    \"contract\": \"String\",\n    \"entitlement\": \"String\",\n    \"install_base\": \"String\",\n    \"removed\": \"String\",\n    \"service_contract_line\": \"String\",\n    \"sys_created_by\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_updated_by\": \"String\",\n    \"sys_updated_on\": \"String\"\n  }\n]\n```\n\nTable: Sold Product Covered  \\[sn\\_install\\_base\\_m2m\\_contract\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​install\\_base\\_items\\_covered.​added\n\n</td><td>\n\nDate that the associated install base item was added to the service contract line.\n\nData type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​install\\_base\\_items\\_covered.​contract\n\n</td><td>\n\nSys\\_id of the service contract record associated with the install base item.Data type: String\n\nTable: Service Contract \\[sn\\_pss\\_core\\_service\\_contract\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​install\\_base\\_items\\_covered.​entitlement\n\n</td><td>\n\nSys\\_id of the entitlement record associated with the install base item.Data type: String\n\nTable: Entitlement \\[service\\_entitlement\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​install\\_base\\_items\\_covered.​install\\_base\n\n</td><td>\n\nSys\\_id of the install base item covered by the service contract line.Data type: String\n\nTable: Install Base Item \\[sn\\_install\\_base\\_item\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​install\\_base\\_items\\_covered.​removed\n\n</td><td>\n\nDate that the associated service contract line ends coverage of the install base item.\n\nData type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​install\\_base\\_items\\_covered.​service\\_contract\\_line\n\n</td><td>\n\nSys\\_id of the associated service contract line record.Data type: String\n\nTable: Service Contract Line \\[sn\\_pss\\_core\\_service\\_contract\\_line\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​install\\_base\\_items\\_covered.​sys\\_created\\_by\n\n</td><td>\n\nName of the user that created the install base item record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​install\\_base\\_items\\_covered.​sys\\_created\\_on\n\n</td><td>\n\nDate and time that the install base item record was created.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​install\\_base\\_items\\_covered.​sys\\_id\n\n</td><td>\n\nSys\\_id of the install base item covered.Data type: String\n\nTable: Sold Product Covered \\[sn\\_install\\_base\\_m2m\\_contract\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​install\\_base\\_items\\_covered.​sys\\_updated\\_by\n\n</td><td>\n\nName of the user that last updated the install base item record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​install\\_base\\_items\\_covered.​sys\\_updated\\_on\n\n</td><td>\n\nDate and time that the install base item record was last updated.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​name\n\n</td><td>\n\nName of the service contract line.\n\nData type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​number\n\n</td><td>\n\nUnique number of the service contract line. Automatically generated by the endpoint. For example: CTRL9812347.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​parent\\_contract\\_line\n\n</td><td>\n\nSys\\_id of the service contract line to which the current service contract line is a child of.Null for the contract lines created under a contract.\n\nData type: String\n\nTable: Service Contract Line \\[sn\\_pss\\_core\\_service\\_contract\\_line\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​product\\_model\n\n</td><td>\n\nSys\\_id of the product associated with the service contract line.Data type: String\n\nTable: Product Model \\[cmdb\\_model\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​product\\_offering\n\n</td><td>\n\nSys\\_id of the product offering record associated with the service contract line.Data type: String\n\nTable: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​product\\_specification\n\n</td><td>\n\nSys\\_id of the product specification record associated with the service contract line.Data type: String\n\nTable: Product Specification \\[sn\\_prd\\_pm\\_product\\_specification\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​sold\\_product\n\n</td><td>\n\nSys\\_id of the sold product record associated with the service contract line.Data type: String\n\nTable: Sold Product \\[sn\\_install\\_base\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​sold\\_products\\_covered\n\n</td><td>\n\nList of products covered.Data type: Array of Objects\n\n```\n\"sold_products_covered\": [ \n  {\n    \"added\": \"String\",\n    \"contract\": \"String\",\n    \"entitlement\": \"String\",\n    \"removed\": \"String\",\n    \"service_contract_line\": \"String\",\n    \"sold_product\": \"String\",\n    \"sys_created_by\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_updated_by\": \"String\",\n    \"sys_updated_on\": \"String\"\n  }\n]\n```\n\nTable: Sold Product Covered \\[sn\\_install\\_base\\_m2m\\_contract\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​sold\\_products\\_covered.​added\n\n</td><td>\n\nDate that the associated sold product was added to the service contract line.Data type: String\n\nFormat: yyyy-mm-dd\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​sold\\_products\\_covered.​contract\n\n</td><td>\n\nSys\\_id of the service contract record associated with the sold product covered.Data type: String\n\nTable: Service Contract \\[sn\\_pss\\_core\\_service\\_contract\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​sold\\_products\\_covered.​entitlement\n\n</td><td>\n\nSys\\_id of the entitlement record associated with the sold product covered.Data type: String\n\nTable: Entitlement \\[service\\_entitlement\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​sold\\_products\\_covered.removed\n\n</td><td>\n\nDate that the associated sold product was removed from the service contract line.Data type: String\n\nFormat: yyyy-mm-dd\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​sold\\_products\\_covered.​service\\_contract\\_line\n\n</td><td>\n\nSys\\_id of the service contract line record associated with the sold product covered.Data type: String\n\nTable: Service Contract Line \\[sn\\_pss\\_core\\_service\\_contract\\_line\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​sold\\_products\\_covered.​sold\\_product\n\n</td><td>\n\nSys\\_id of the product covered by the entitlement.Data type: String\n\nTable: Sold Product \\[sn\\_install\\_base\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​sold\\_products\\_covered.​sys\\_created\\_by\n\n</td><td>\n\nName of the user that created the sold product covered record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​sold\\_products\\_covered.​sys\\_created\\_on\n\n</td><td>\n\nDate and time that the sold product covered record was created.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​sold\\_products\\_covered.​sys\\_id\n\n</td><td>\n\nSys\\_id of the product covered by this service contract.Data type: String\n\nTable: Sold Product Covered \\[sn\\_install\\_base\\_m2m\\_contract\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​sold\\_products\\_covered.​sys\\_updated\\_by\n\n</td><td>\n\nName of the user that last updated the sold product covered record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​sold\\_products\\_covered.​sys\\_updated\\_on\n\n</td><td>\n\nDate and time that the sold product covered record was last updated.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​starts\n\n</td><td>\n\nStart date of the service contract line.\n\nData type: String\n\nFormat: yyyy-mm-dd\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​state\n\n</td><td>\n\nCurrent state of the contract line.\n\nValid values: \\(case-sensitive\\)\n\n-   active\n-   cancelled\n-   draft\n-   expired\n-   suspended\n\nData type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​sys\\_created\\_by\n\n</td><td>\n\nName of the user that created the service contract line record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​sys\\_created\\_on\n\n</td><td>\n\nDate and time that the service contract line record was created.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​sys\\_id\n\n</td><td>\n\nSys\\_id of a service contract line record.Data type: String\n\nTable: Service Contract Line \\[sn\\_pss\\_core\\_service\\_contract\\_line\\]\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​sys\\_updated\\_by\n\n</td><td>\n\nName of the user that last updated the service contract line record.Data type: String\n\n</td></tr><tr><td>\n\nservice\\_contract\\_lines.​sys\\_updated\\_on\n\n</td><td>\n\nDate and time that the service contract line record was last updated.Data type: String\n\n</td></tr><tr><td>\n\nshort\\_description\n\n</td><td>\n\nBrief description or name of the service contract.\n\nData type: String\n\n</td></tr><tr><td>\n\nsold\\_products\\_covered\n\n</td><td>\n\nList of products covered.Data type: Array of Objects\n\n```\n\"sold_products_covered\": [ \n  {\n    \"added\": \"String\",\n    \"contract\": \"String\",\n    \"entitlement\": \"String\",\n    \"removed\": \"String\",\n    \"service_contract_line\": \"String\",\n    \"sold_product\": \"String\",\n    \"sys_created_by\": \"String\",\n    \"sys_created_on\": \"String\",\n    \"sys_id\": \"String\",\n    \"sys_updated_by\": \"String\",\n    \"sys_updated_on\": \"String\"\n  }\n]\n```\n\nTable: Sold Product Covered \\[sn\\_install\\_base\\_m2m\\_contract\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nsold\\_products\\_covered.​added\n\n</td><td>\n\nDate that the associated sold product was added to the contract.Data type: String\n\n</td></tr><tr><td>\n\nsold\\_products\\_covered.​contract\n\n</td><td>\n\nSys\\_id of the service contract record associated with the sold product covered.Data type: String\n\nTable: Service Contract \\[sn\\_pss\\_core\\_service\\_contract\\]\n\n</td></tr><tr><td>\n\nsold\\_products\\_covered.​entitlement\n\n</td><td>\n\nSys\\_id of the entitlement record associated with the sold product covered.Data type: String\n\nTable: Entitlement \\[service\\_entitlement\\]\n\n</td></tr><tr><td>\n\nsold\\_products\\_covered.​removed\n\n</td><td>\n\nDate that the associated sold product was removed from the contract.Data type: String\n\n</td></tr><tr><td>\n\nsold\\_products\\_covered.​service\\_line\\_contract\n\n</td><td>\n\nSys\\_id of the service contract line record associated with the sold product covered.Data type: String\n\nTable: Service Contract Line \\[sn\\_pss\\_core\\_service\\_contract\\_line\\]\n\n</td></tr><tr><td>\n\nsold\\_products\\_covered.​sold\\_product\n\n</td><td>\n\nSys\\_id of the product covered by the service contract.Data type: String\n\nTable: Sold Product \\[sn\\_install\\_base\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nsold\\_products\\_covered.​sys\\_created\\_by\n\n</td><td>\n\nName of the user that created the sold product covered record.Data type: String\n\n</td></tr><tr><td>\n\nsold\\_products\\_covered.​sys\\_created\\_on\n\n</td><td>\n\nDate and time that the sold product covered record was created.Data type: String\n\n</td></tr><tr><td>\n\nsold\\_products\\_covered.​sys\\_id\n\n</td><td>\n\nSys\\_id of the product covered by this service contract.Data type: String\n\nTable: Sold Product Covered \\[sn\\_install\\_base\\_m2m\\_contract\\_sold\\_product\\]\n\n</td></tr><tr><td>\n\nsold\\_products\\_covered.​sys\\_updated\\_by\n\n</td><td>\n\nName of the user that last updated the sold product covered record.Data type: String\n\n</td></tr><tr><td>\n\nsold\\_products\\_covered.​sys\\_updated\\_on\n\n</td><td>\n\nDate and time that the sold product covered record was last updated.Data type: String\n\n</td></tr><tr><td>\n\nstarts\n\n</td><td>\n\nDate on which the service contract begins.\n\nData type: String\n\nFormat: yyyy-mm-dd\n\nDefault: Starts as soon as approved.\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nCurrent state of the service contract.\n\nValid values: \\(case-sensitive\\)\n\n-   active\n-   cancelled\n-   draft\n-   expired\n\nData type: String\n\n</td></tr><tr><td>\n\nsys\\_created\\_by\n\n</td><td>\n\nName of the user that created the service contract record.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_created\\_on\n\n</td><td>\n\nDate and time that the service contract was created record.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the service contract record.Data type: String\n\nTable: Service Contract \\[sn\\_pss\\_core\\_service\\_contract\\]\n\n</td></tr><tr><td>\n\nsys\\_updated\\_by\n\n</td><td>\n\nName of the user that last updated the service contract record.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_updated\\_on\n\n</td><td>\n\nDate and time that the service contract record was last updated.Data type: String\n\n</td></tr><tr><td>\n\nvendor\\_contract\n\n</td><td>\n\nUnique identifier for an associated external contract.\n\nData type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following code example shows how to call this endpoint.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_pss_core/servicecontract/fc73d2de89226110f877430a4e008add\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n```\n\nResponse:\n\n```\n{\n  \"result\": {\n    \"sys_id\": \"d8641151d1f53110f8776589fa411fde\",\n    \"sys_created_by\": \"admin\",\n    \"sys_updated_by\": \"admin\",\n    \"sys_created_on\": \"2023-10-09 11:27:29\",\n    \"sys_updated_on\": \"2023-10-09 11:27:29\",\n    \"account\": \"4c325111d1f53110f8776589fa411f3d\",\n    \"consumer\": null,\n    \"household\": null,\n    \"number\": \"CNTR0010004\",\n    \"state\": \"active\",\n    \"starts\": \"2022-12-03\",\n    \"ends\": \"\",\n    \"short_description\": null,\n    \"vendor_contract\": \"External Reference\",\n    \"service_contract_lines\": [\n      {\n        \"sys_id\": \"d4641d91d1f53110f8776589fa411fbb\",\n        \"sys_created_by\": \"admin\",\n        \"sys_updated_by\": \"admin\",\n        \"sys_created_on\": \"2023-10-09 11:27:29\",\n        \"sys_updated_on\": \"2023-10-09 11:27:29\",\n        \"name\": \"CLI\",\n        \"number\": \"CNTRL0000001\",\n        \"contract\": \"d8641151d1f53110f8776589fa411fde\",\n        \"parent_contract_line\": null,\n        \"sold_product\": null,\n        \"starts\": \"2022-12-03\",\n        \"ends\": \"\",\n        \"product_offering\": null,\n        \"product_specification\": null,\n        \"product_model\": null,\n        \"child_contract_lines\": [\n          {\n            \"sys_id\": \"3a39ecdc01154f4ab782da0169c9c922\",\n            \"sys_created_by\": \"admin\",\n            \"sys_updated_by\": \"admin\",\n            \"sys_created_on\": \"2023-10-09 11:27:29\",\n            \"sys_updated_on\": \"2023-10-09 11:27:29\",\n            \"name\": \"Child CLI\",\n            \"number\": \"CNTRL0000002\",\n            \"contract\": \"d8641151d1f53110f8776589fa411fde\",\n            \"parent_contract_line\": \"d4641d91d1f53110f8776589fa411fbb\",\n            \"sold_product\": null,\n            \"starts\": \"2022-12-03\",\n            \"ends\": \"\",\n            \"product_offering\": null,\n            \"product_specification\": null,\n            \"product_model\": null,\n            \"child_contract_lines\": [],\n            \"entitlements\": [\n              {\n                \"sys_id\": \"7439fd84c2494ba6951e58f333cfe8d4\",\n                \"sys_created_by\": \"admin\",\n                \"sys_updated_by\": \"admin\",\n                \"sys_created_on\": \"2023-10-09 11:27:29\",\n                \"sys_updated_on\": \"2023-10-09 11:27:29\",\n                \"entitlement_name\": \"Child CLI - ENTL\",\n                \"account\": \"4c325111d1f53110f8776589fa411f3d\",\n                \"consumer\": null,\n                \"household\": null,\n                \"contract\": \"d8641151d1f53110f8776589fa411fde\",\n                \"service_contract_line\": \"3a39ecdc01154f4ab782da0169c9c922\",\n                \"state\": \"active\",\n                \"product_offering\": null,\n                \"product_specification\": null,\n                \"sold_entitlement\": null,\n                \"product\": null,\n                \"start_date\": \"2022-12-03\",\n                \"end_date\": \"\",\n                \"entitlement_characteristics\": [],\n                \"sold_products_covered\": [],\n                \"install_base_items_covered\": []\n              }\n            ],\n            \"sold_products_covered\": [\n              {\n                \"sys_id\": \"dfb62e9c4c6843009be02a68f65b9118\",\n                \"sys_created_by\": \"admin\",\n                \"sys_updated_by\": \"admin\",\n                \"sys_created_on\": \"2023-10-09 11:27:29\",\n                \"sys_updated_on\": \"2023-10-09 11:27:29\",\n                \"contract\": \"d8641151d1f53110f8776589fa411fde\",\n                \"service_contract_line\": \"d4641d91d1f53110f8776589fa411fbb\",\n                \"entitlement\": null,\n                \"sold_product\": \"ec235d9dd1b53110f8776589fa411fe2\",\n                \"added\": \"2023-12-03\",\n                \"removed\": \"2023-12-03\"\n              }\n            ],\n            \"install_base_items_covered\": [\n              {\n                \"sys_id\": \"2583912e81964501b52a2e44d4797a28\",\n                \"sys_created_by\": \"admin\",\n                \"sys_updated_by\": \"admin\",\n                \"sys_created_on\": \"2023-10-09 11:27:29\",\n                \"sys_updated_on\": \"2023-10-09 11:27:29\",\n                \"contract\": \"d8641151d1f53110f8776589fa411fde\",\n                \"service_contract_line\": \"d4641d91d1f53110f8776589fa411fbb\",\n                \"entitlement\": null,\n                \"install_base\": \"a1731551d1f53110f8776589fa411f8d\",\n                \"added\": \"2023-12-03\",\n                \"removed\": \"2023-12-03\"\n              }\n            ],\n            \"entitlement_characteristics\": [\n              {\n                \"sys_id\": \"3a00c975bb49412cae169200c7f6236e\",\n                \"sys_created_by\": \"admin\",\n                \"sys_updated_by\": \"admin\",\n                \"sys_created_on\": \"2023-10-09 11:27:29\",\n                \"sys_updated_on\": \"2023-10-09 11:27:29\",\n                \"service_contract_line\": \"d4641d91d1f53110f8776589fa411fbb\",\n                \"entitlement\": null,\n                \"characteristic_option\": \"495149b7539e61106bfcddeeff7b1262\",\n                \"value\": \"5\",\n                \"characteristic\": \"63418db7539e61106bfcddeeff7b1238\",\n                \"type\": \"coverage\"\n              }\n            ]\n          }\n        ],\n        \"entitlements\": [\n          {\n            \"sys_id\": \"a8641d91d1f53110f8776589fa411fc0\",\n            \"sys_created_by\": \"admin\",\n            \"sys_updated_by\": \"admin\",\n            \"sys_created_on\": \"2023-10-09 11:27:29\",\n            \"sys_updated_on\": \"2023-10-09 11:27:29\",\n            \"entitlement_name\": \"ENTL\",\n            \"account\": \"4c325111d1f53110f8776589fa411f3d\",\n            \"consumer\": null,\n            \"household\": null,\n            \"contract\": \"d8641151d1f53110f8776589fa411fde\",\n            \"service_contract_line\": \"d4641d91d1f53110f8776589fa411fbb\",\n            \"state\": \"active\",\n            \"product_offering\": null,\n            \"product_specification\": null,\n            \"sold_entitlement\": null,\n            \"product\": null,\n            \"start_date\": \"2022-12-03\",\n            \"end_date\": \"\",\n            \"sold_products_covered\": [\n              {\n                \"sys_id\": \"a0641d91d1f53110f8776589fa411fc2\",\n                \"sys_created_by\": \"admin\",\n                \"sys_updated_by\": \"admin\",\n                \"sys_created_on\": \"2023-10-09 11:27:29\",\n                \"sys_updated_on\": \"2023-10-09 11:27:29\",\n                \"contract\": \"d8641151d1f53110f8776589fa411fde\",\n                \"service_contract_line\": \"d4641d91d1f53110f8776589fa411fbb\",\n                \"entitlement\": \"a8641d91d1f53110f8776589fa411fc0\",\n                \"sold_product\": \"da23d151d1f53110f8776589fa411f27\",\n                \"added\": \"\",\n                \"removed\": \"\"\n              }\n            ],\n            \"install_base_items_covered\": [\n              {\n                \"sys_id\": \"e0641d91d1f53110f8776589fa411fc3\",\n                \"sys_created_by\": \"admin\",\n                \"sys_updated_by\": \"admin\",\n                \"sys_created_on\": \"2023-10-09 11:27:29\",\n                \"sys_updated_on\": \"2023-10-09 11:27:29\",\n                \"contract\": \"d8641151d1f53110f8776589fa411fde\",\n                \"service_contract_line\": \"d4641d91d1f53110f8776589fa411fbb\",\n                \"entitlement\": \"a8641d91d1f53110f8776589fa411fc0\",\n                \"install_base\": \"43739151d1f53110f8776589fa411fc1\",\n                \"added\": \"2023-12-03\",\n                \"removed\": \"2023-12-03\"\n              }\n            ],\n            \"entitlement_characteristics\": [\n              {\n                \"sys_id\": \"a8641d91d1f53110f8776589fa411fd0\",\n                \"sys_created_by\": \"admin\",\n                \"sys_updated_by\": \"admin\",\n                \"sys_created_on\": \"2023-10-09 11:27:29\",\n                \"sys_updated_on\": \"2023-10-09 11:27:29\",\n                \"service_contract_line\": null,\n                \"entitlement\": \"a8641d91d1f53110f8776589fa411fc0\",\n                \"characteristic_option\": \"495149b7539e61106bfcddeeff7b1262\",\n                \"value\": \"5\",\n                \"characteristic\": \"63418db7539e61106bfcddeeff7b1238\",\n                \"type\": \"coverage_and_usage\",\n                \"entitlement_usage\": [\n                  {\n                    \"sys_id\": \"a8641d91d1f53110f8776589fa411fd1\",\n                    \"sys_created_by\": \"admin\",\n                    \"sys_updated_by\": \"admin\",\n                    \"sys_created_on\": \"2023-10-09 11:27:29\",\n                    \"sys_updated_on\": \"2023-10-09 11:27:29\",\n                    \"entitlement\": \"a8641d91d1f53110f8776589fa411fc0\",\n                    \"service_contract_line\": null,\n                    \"entitlement_characteristic\": \"a8641d91d1f53110f8776589fa411fd0\",\n                    \"period_start\": \"2022-12-03\",\n                    \"period_end\": \"\",\n                    \"total_units\": \"5\",\n                    \"used_units\": \"3\"\n                  }\n                ]\n              }\n            ]\n          }\n        ],\n        \"sold_products_covered\": [\n          {\n            \"sys_id\": \"98641d91d1f53110f8776589fa411fbc\",\n            \"sys_created_by\": \"admin\",\n            \"sys_updated_by\": \"admin\",\n            \"sys_created_on\": \"2023-10-09 11:27:29\",\n            \"sys_updated_on\": \"2023-10-09 11:27:29\",\n            \"contract\": \"d8641151d1f53110f8776589fa411fde\",\n            \"service_contract_line\": \"d4641d91d1f53110f8776589fa411fbb\",\n            \"entitlement\": null,\n            \"sold_product\": \"ec235d9dd1b53110f8776589fa411fe2\",\n            \"added\": \"2023-12-03\",\n            \"removed\": \"2023-12-03\"\n          }\n        ],\n        \"install_base_items_covered\": [\n          {\n            \"sys_id\": \"58641d91d1f53110f8776589fa411fbd\",\n            \"sys_created_by\": \"admin\",\n            \"sys_updated_by\": \"admin\",\n            \"sys_created_on\": \"2023-10-09 11:27:29\",\n            \"sys_updated_on\": \"2023-10-09 11:27:29\",\n            \"contract\": \"d8641151d1f53110f8776589fa411fde\",\n            \"service_contract_line\": \"d4641d91d1f53110f8776589fa411fbb\",\n            \"entitlement\": null,\n            \"install_base\": \"a1731551d1f53110f8776589fa411f8d\",\n            \"added\": \"2023-12-03\",\n            \"removed\": \"2023-12-03\"\n          }\n        ],\n        \"entitlement_characteristics\": [\n          {\n            \"sys_id\": \"e0641d91d1f53110f8776589fa411fbf\",\n            \"sys_created_by\": \"admin\",\n            \"sys_updated_by\": \"admin\",\n            \"sys_created_on\": \"2023-10-09 11:27:29\",\n            \"sys_updated_on\": \"2023-10-09 11:27:29\",\n            \"service_contract_line\": \"d4641d91d1f53110f8776589fa411fbb\",\n            \"entitlement\": null,\n            \"characteristic_option\": \"495149b7539e61106bfcddeeff7b1262\",\n            \"value\": \"5\",\n            \"characteristic\": \"63418db7539e61106bfcddeeff7b1238\",\n            \"type\": \"coverage\"\n          }\n        ]\n      },\n      {\n        \"sys_id\": \"e4641d91d1f53110f8776589fa411fd2\",\n        \"sys_created_by\": \"admin\",\n        \"sys_updated_by\": \"admin\",\n        \"sys_created_on\": \"2023-10-09 11:27:29\",\n        \"sys_updated_on\": \"2023-10-09 11:27:29\",\n        \"name\": \"CLI 2\",\n        \"number\": \"CNTRL0000003”,\n        \"contract\": \"d8641151d1f53110f8776589fa411fde\",\n        \"parent_contract_line\": null,\n        \"sold_product\": null,\n        \"starts\": \"2022-12-03\",\n        \"ends\": \"\",\n        \"product_offering\": null,\n        \"product_specification\": null,\n        \"product_model\": null,\n        \"child_contract_lines\": [],\n        \"entitlements\": [],\n        \"sold_products_covered\": [\n          {\n            \"sys_id\": \"e8641d91d1f53110f8776589fa411fd3\",\n            \"sys_created_by\": \"admin\",\n            \"sys_updated_by\": \"admin\",\n            \"sys_created_on\": \"2023-10-09 11:27:29\",\n            \"sys_updated_on\": \"2023-10-09 11:27:29\",\n            \"contract\": \"d8641151d1f53110f8776589fa411fde\",\n            \"service_contract_line\": \"e4641d91d1f53110f8776589fa411fd2\",\n            \"entitlement\": null,\n            \"sold_product\": \"7f23995dd1b53110f8776589fa411f66\",\n            \"added\": \"2023-12-03\",\n            \"removed\": \"2023-12-03\"\n          }\n        ],\n        \"install_base_items_covered\": [\n          {\n            \"sys_id\": \"a8641d91d1f53110f8776589fa411fd4\",\n            \"sys_created_by\": \"admin\",\n            \"sys_updated_by\": \"admin\",\n            \"sys_created_on\": \"2023-10-09 11:27:29\",\n            \"sys_updated_on\": \"2023-10-09 11:27:29\",\n            \"contract\": \"d8641151d1f53110f8776589fa411fde\",\n            \"service_contract_line\": \"e4641d91d1f53110f8776589fa411fd2\",\n            \"entitlement\": null,\n            \"install_base\": \"a483d951d1f53110f8776589fa411fad\",\n            \"added\": \"2023-12-03\",\n            \"removed\": \"2023-12-03\"\n          }\n        ],\n        \"entitlement_characteristics\": [\n          {\n            \"sys_id\": \"a8641d91d1f53110f8776589fa411fd5\",\n            \"sys_created_by\": \"admin\",\n            \"sys_updated_by\": \"admin\",\n            \"sys_created_on\": \"2023-10-09 11:27:29\",\n            \"sys_updated_on\": \"2023-10-09 11:27:29\",\n            \"service_contract_line\": \"e4641d91d1f53110f8776589fa411fd2\",\n            \"entitlement\": null,\n            \"characteristic_option\": \"495149b7539e
[...]
